# Generated from heel-3.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name heel

Name: rubygem-%{gem_name}
Version: 3.2.1
Release: 1%{?dist}
Summary: Heel is a small static web server for use when you need a quick web server for a directory.  Once the server is running, heel will use [launchy](http://rubygems.org/gems/launchy/) to open your browser at the URL of your document root
License: BSD-3-Clause
URL: http://github.com/copiousfreetime/heel
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.2
# BuildRequires: rubygem(minitest) >= 5.11
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(simplecov) >= 0.15
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
Heel is a small static web server for use when you need a quick web server for
a directory.  Once the server is running, heel will use
(http://rubygems.org/gems/launchy/) to open your browser at the URL of your
document root. Heel is built using (http://rack.github.com) and
(http://puma.io)     % heel     Launching your browser...     Puma starting in
single mode...     * Version 3.11.3 (ruby 2.4.3-p205), codename: Love Song    
* Min threads: 0, max threads: 16     * Environment: none     * Listening on
tcp://0.0.0.0:4331     Use Ctrl-C to stop Or run it in the background     %
heel --daemonize     Launching your browser at http://0.0.0.0:4331/     % heel
--kill     Sending TERM to process 3304     Done.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/heel
%license %{gem_instdir}/LICENSE
%{gem_instdir}/Manifest.txt
%{gem_instdir}/bin
%{gem_instdir}/data
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Mon Aug 23 2021 mockbuilder - 3.2.1-1
- Initial package
